/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.nlpcraft.nlp.parsers

import org.apache.nlpcraft.*
import nlp.parsers.*
import nlp.util.*
import org.scalatest.funsuite.AnyFunSuite

import java.util
import scala.collection.mutable
import scala.concurrent.ExecutionContext
/**
  *
  */
class NCNLPEntityParserSpec extends AnyFunSuite:
    private val parser = new NCNLPEntityParser()

    test("test") {
        val req = NCTestRequest("I had the lunch")
        val toks = EN_TOK_PARSER.tokenize(req.txt)
        val entities = parser.parse(req, CFG, toks)

        NCTestUtils.printEntities(req.txt, entities)

        require(entities.sizeIs == toks.size)
        entities.zipWithIndex.foreach { (ent, idx) =>
            require(ent.getTokens.size == 1)
            require(ent.getTokens.head == toks(idx))
        }
    }